<?php
/* Autor...:  */
/* Esquema.: SEG_TextoAyuda.xml */
/* Generado: 2020-08-18 04:21:30 */

/* Metodos de acceso a los campos de la tabla SEG_TextoAyuda */
abstract class BaseSEG_TextoAyudaBN
{
    /* Campos de la tabla */
    private $s_IdTarea;    // IdTarea: ( no definido )
    private $i_TextoAyuda;    // TextoAyuda: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdTarea */
    public function setIdTarea( $s_IdTarea )
    {
        $this->s_IdTarea = $s_IdTarea;
    }

    /* Obtiene el valor del campo IdTarea */
    public function getIdTarea()
    {
        return $this->s_IdTarea;
    }

    /* Establece el valor del campo TextoAyuda */
    public function setTextoAyuda( $i_TextoAyuda )
    {
        $this->i_TextoAyuda = $i_TextoAyuda;
    }

    /* Obtiene el valor del campo TextoAyuda */
    public function getTextoAyuda()
    {
        return $this->i_TextoAyuda;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdTarea' => $this->getIdTarea(),
            'TextoAyuda' => $this->getTextoAyuda(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto SEG_TextoAyudaBN desde un RecordSet */
    public static function retrieveByRs( $o_SEG_TextoAyudaRs )
    {
        $o_SEG_TextoAyudaBN = new SEG_TextoAyudaBN();
        $o_SEG_TextoAyudaBN->setIdTarea( $o_SEG_TextoAyudaRs[ "IdTarea" ] );
        $o_SEG_TextoAyudaBN->setTextoAyuda( ( integer ) $o_SEG_TextoAyudaRs[ "TextoAyuda" ] );
        $o_SEG_TextoAyudaBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_SEG_TextoAyudaRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_SEG_TextoAyudaBN->setUsuarioCreacion( $o_SEG_TextoAyudaRs[ "UsuarioCreacion" ] );
        $o_SEG_TextoAyudaBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_SEG_TextoAyudaRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_SEG_TextoAyudaBN->setUsuarioModificacion( $o_SEG_TextoAyudaRs[ "UsuarioModificacion" ] );
        return $o_SEG_TextoAyudaBN;
    }
}
?>